Package com.arms.egovframework.javaservice.treeframework.util

## Class EgovMessageSource

- java.lang.Object
- - org.springframework.context.support.MessageSourceSupport
  - - org.springframework.context.support.AbstractMessageSource
    - - org.springframework.context.support.AbstractResourceBasedMessageSource
      - - org.springframework.context.support.ReloadableResourceBundleMessageSource
        - - com.arms.egovframework.javaservice.treeframework.util.EgovMessageSource

- All Implemented Interfaces:
    `org.springframework.beans.factory.Aware`, `org.springframework.context.HierarchicalMessageSource`, `org.springframework.context.MessageSource`, `org.springframework.context.ResourceLoaderAware`

      public class EgovMessageSource
      extends org.springframework.context.support.ReloadableResourceBundleMessageSource
      implements org.springframework.context.MessageSource

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.context.support.ReloadableResourceBundleMessageSource

      `org.springframework.context.support.ReloadableResourceBundleMessageSource.PropertiesHolder`

  - ### Field Summary

    - ### Fields inherited from class org.springframework.context.support.MessageSourceSupport

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EgovMessageSource()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage​(java.lang.String code)` |
    `org.springframework.context.support.ReloadableResourceBundleMessageSource` | `getReloadableResourceBundleMessageSource()` |
    `void` | `setReloadableResourceBundleMessageSource​(org.springframework.context.support.ReloadableResourceBundleMessageSource reloadableResourceBundleMessageSource)` |

    - ### Methods inherited from class org.springframework.context.support.ReloadableResourceBundleMessageSource

      `calculateAllFilenames, calculateFilenamesForLocale, clearCache, clearCacheIncludingAncestors, getMergedProperties, getProperties, loadProperties, newProperties, refreshProperties, resolveCode, resolveCodeWithoutArguments, setConcurrentRefresh, setFileEncodings, setPropertiesPersister, setResourceLoader, toString`

    - ### Methods inherited from class org.springframework.context.support.AbstractResourceBasedMessageSource

      `addBasenames, getBasenameSet, getCacheMillis, getDefaultEncoding, getDefaultLocale, isFallbackToSystemLocale, setBasename, setBasenames, setCacheMillis, setCacheSeconds, setDefaultEncoding, setDefaultLocale, setFallbackToSystemLocale`

    - ### Methods inherited from class org.springframework.context.support.AbstractMessageSource

      `getCommonMessages, getDefaultMessage, getDefaultMessage, getMessage, getMessage, getMessage, getMessageFromParent, getMessageInternal, getParentMessageSource, isUseCodeAsDefaultMessage, resolveArguments, setCommonMessages, setParentMessageSource, setUseCodeAsDefaultMessage`

    - ### Methods inherited from class org.springframework.context.support.MessageSourceSupport

      `createMessageFormat, formatMessage, isAlwaysUseMessageFormat, renderDefaultMessage, setAlwaysUseMessageFormat`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.springframework.context.MessageSource

      `getMessage, getMessage, getMessage`

- - ### Constructor Detail

    - #### EgovMessageSource

          public EgovMessageSource()

  - ### Method Detail

    - #### setReloadableResourceBundleMessageSource

          public void setReloadableResourceBundleMessageSource​(org.springframework.context.support.ReloadableResourceBundleMessageSource reloadableResourceBundleMessageSource)

    - #### getReloadableResourceBundleMessageSource

          public org.springframework.context.support.ReloadableResourceBundleMessageSource getReloadableResourceBundleMessageSource()

    - #### getMessage

          public java.lang.String getMessage​(java.lang.String code)